body {
    text-align: center !important;
    background-image: url('../backgrounds/noise-animated.gif');
    background-size: 100% 100%;
}

body::before {
    content: "";
    position: fixed;

    left: 0;
    top: 0;

    width: 100vw;
    height: 100vh;

    z-index: -1;
  
    display: block;
    
    /*background-image: url('../backgrounds/ec_bg.png');*/
    background-image: url('../backgrounds/delta.jpg');
    background-size: 100% 100%;
}

p {
    margin: 0;
    padding-top: 1vmin;
}

div {
    box-sizing: border-box;
}

.earthcraft-clearfix {
    display: block;
    clear: both;
}

.earthcraft-fullwidth {
    width: 100%;
}

.earthcraft-center {
    text-align: center;
}

.earthcraft-landing-info {
    font-size: 4vmin;
    font-family: minecraft;
}

.earthcraft-popup-modal {
    max-height: 70vh;
}

.earthcraft-popup-modal ul {
    margin-top: 0;
}

.earthcraft-pointer {
    cursor: pointer;
}

.earthcraft-modals-wrapper {
    width: 100%;
}

.earthcraft-popup-modal-wrapper-container {
    position: fixed;
    z-index: 10;
    left: 50%;
    transform: translateX(-50%);
    top: 10vh;
    text-align: center;
    width: 60vw;
}

.earthcraft-popup-modal-wrapper {
    display: inline-block;
    text-align: left;
    font-size: 4vmin;
    font-family: minecraft;
    position: relative;
    line-height: 1.2;
}

.earthcraft-popup-modal {
    width: 100%;
    overflow-y: scroll;
    overflow-x: hidden;
    max-height: 80vh;
    padding: 1vw;
    padding-top: 0;
    min-width: 35vw;
}

.earthcraft-popup-wrapper, 
.earthcraft-popup-modal-wrapper {
    border-left: 1px solid black;
    border-top: 1px solid black;
    border-radius: 5px;
    display: inline-block;
    /*margin: 5vmin 10vmin;*/
    text-align: left;
    line-height: 1.1;
}

#earthcraft-debugger-modal,
#earthcraft-rack-modal {
    position: absolute;
    top:0;
    height: 100%;
    z-index: 10;
}

.earthcraft-popup-modal p :first-of-type {
    padding-top: 0;
}

.earthcraft-hero-popup, 
.earthcraft-popup-border {
    background-color: rgb(198,198,198);
    /*background-color:  rgb(230,230,230);*/
    border: 6px outset;
    border-radius: 5px;
    border-bottom-color: rgb(85,85,85);
    border-right-color: rgb(85,85,85);
    
    border-top-color: #fff;
    border-left-color: #fff;

    /*
    border-top-color: rgb(198,198,198);
    border-left-color: rgb(198,198,198);
    */

    display: inline-block;
    
    padding-bottom: 0.8em;
}

.earthcraft-hero-popup p {
    margin-bottom: 0;
}

.earthcraft-modal-padding {
    padding-left: 1.5vw;
    padding-right: 1.5vw;
    padding-top: 0;
}

.earthcraft-popup-modal-close-button-wrapper,
.earthcraft-debugger-close,
.earthcraft-civilpedia-close {
    display: block;
    width: 2em;
    line-height: 1;
    text-align: center;
    cursor: pointer;
    position: absolute;
    top: 0;
    right: 0;
    height: 5vh;
    color: #000;
    z-index: 1;
}

.earthcraft-debugger-close {
    color: #fff;
    font-size: 3rem;
    font-family: minecraft;
    width: auto;
    top: 0.8rem;
    right: 2rem;
}

.earthcraft-civilpedia-close {
    color: #000;
    font-size: 3rem;
    font-family: minecraft;
    width: auto;
    top: 1rem;
    right: -1rem;
    background-color: rgba(255,255,255,0.7);
    width: 3rem;
    height: 3rem;
    text-align: center;
    vertical-align: middle;
    border-radius: 1rem;
}

.earthcraft-popup-modal-close-button:hover,
.earthcraft-debugger-close:hover,
.earthcraft-civilpedia-close:hover {
    opacity: 0.5;
}

.earthcraft-popup-modal-close-button {
    height: 2vh;
    z-index: 25;
    font-size: 6vmin;
}

.earthcraft-popup-title {
    font-size: 5vmin;
    font-family: minecraft;
    padding-left: 0.3rem;
    padding-bottom: 0.5vmin;
    padding-top: 1.5vmin;
}



@media (min-width: 1200px) {
    .earthcraft-popup-constraint {
        max-width: 55vw;
    }
}


@media (min-width: 1050px) {
    .earthcraft-popup-constraint {
        max-width: 65vw;
    }
}

.earthcraft-popup-constraint {
    box-sizing: content-box;
}

.earthcraft-popup-modal-wrapper h1, .earthcraft-popup-modal-wrapper h2 {
    font-size: 5.5vmin; 
    font-style: normal;
    font-weight: normal;
    color: #000;
}

.earthcraft-popup-modal-wrapper .quote-container {
    padding-left: 1.2em;
    padding-bottom: 0.5em;
    font-style: italic;
}

.earthcraft-popup-modal-wrapper h1:first-of-type, .earthcraft-popup-modal-wrapper h1:first-of-type {
    margin-top: 0;
}

.earthcraft-popup-modal-wrapper h1, .earthcraft-popup-modal-wrapper h2 {
    margin-bottom: 2vmin;
}

.earthcraft-popup-modal-wrapper h2 {
    margin-top: 0.5em;
}

.earthcraft-popup-modal-wrapper h2 a {
    color: #000 !important;
}

.earthcraft-popup-modal-wrapper ol {
    margin-top: 0;
    margin-left: 2vw;
}

.earthcraft-popup-modal-wrapper div.line_break {
    height: 2vmin;
}

.earthcraft-popup-modal-wrapper .block_image {
    max-width: 100%;
    margin-bottom: 2vmin;
}


/* Civilpedia style override */

.list-block-border {
    display: inline-block;
    border: 4px inset;
    background-color: rgb(139,139,139);
    border-right-color: #FFF;
    border-bottom-color: #FFF;
    border-top-color:#000;
    border-left-color:#000;
    width: 15vmin;
    height: 15vmin;
    box-sizing: border-box;
    margin: 2px;
}

.list-image {
    width: 100%;
    height: 100%;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    image-rendering: pixelated;
}

.list-text {
    display: none;
}

/* End civilpedia style override */


@keyframes pulse {
    0% {
       transform: scale(1, 1);
    }

    50% {
        transform: scale(1.1, 1.1);
    }

    100% {
        transform: scale(1, 1);
    }
}

.earthcraft-logo-wrapper {
    position: relative;
    display: inline-block;
    margin: 5vmin;
}

.earthcraft-logo {
    font-size: 3rem;
    color: white;
}

.earthcraft-logo img {
    max-height: 15vmin;
    filter: drop-shadow(4px 4px 4px #fff) invert(1);
}

.earthcraft-info-wrapper {
    transform: rotate(350deg);
    position: absolute;
    bottom: 0;
    right: -25vmin;
    width: 50vmin;
}

.earthcraft-info {
    color: yellow;
    font-family: minecraft;
    font-size: 5vmin;
    animation: pulse 0.5s linear infinite;
    transform: rotate(330deg);
    text-shadow: 2px 2px #000;
}

.earthcraft-footer-wrapper {
    display: inline-block;
    position: fixed;

    bottom: 0%;
    left: 50%;
    transform: translate(-50%, 0);

    border: 3px solid black;

    font-size: 0;
}

.earthcraft-footer-element {
    background-color: rgb(198,198,198);
    padding: 5px;
    border: 6px inset;
    border-radius: 0px;
    border-right-color: rgb(145,155,149);
    border-top-color: rgb(145,155,149);
    border-left-color: rgb(145,155,149); 
    border-bottom-color: rgb(145,155,149);
    display: inline-block;

    height: 10vh;
    width: 10vh;

    opacity: 0.7;
    
    position: relative;
}

.earthcraft-footer-element:hover {
    opacity: 1;
}

.earthcraft-footer-element img {
    width: 100%;
    height: 100%;
}

.earthcraft-footer-element img.earthcraft-inventory-logo-fix {
    transform: translate(-2px, -3px);
}

/* tooltips ------------------------------ */

/* Tooltip container */
.earthcraft-tooltip {
    position: relative;
    display: inline-block;
    border-bottom: 1px dotted black; /* If you want dots under the hoverable text */
}

/* Tooltip text */
.earthcraft-tooltip .earthcraft-tooltiptext {
    visibility: hidden;
    background-color: black;
    color: #fff;
    text-align: center;
    padding: 4px 10px;
    border-radius: 6px;
   
    /* Position the tooltip text - see examples below! */
    position: absolute;
    z-index: 1;

    opacity: 0.7;

    font-family: minecraft;
    font-size: 4vmin;
}
  
/* Show the tooltip text when you mouse over the tooltip container */
.earthcraft-tooltip:hover .earthcraft-tooltiptext {
    visibility: visible;
}

.earthcraft-tooltip-top {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translate(-50%, -150%);
}

.civilpedia-modal-wrapper {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
}

.earthcraft-civilpedia-modal {
    display: inline-block;
    width: 96vw;
    height: 91vh;
    position: relative;
    top: 4vh;
}

.earthcraft-civilpedia-modal iframe {
    width: 100%;
    height: 100%;
    border: none;
    background-color: #fff;
}

.earthcraft-hidden {
	display: none !important;
}

@media (min-width: 1050px) {

    .earthcraft-civilpedia-modal {
        max-width: 1050px;
    }
}

@media (max-width: 999px) {

    .earthcraft-civilpedia-modal {
        height: 78vh;
    }

    .earthcraft-hero-popup, .earthcraft-popup-border {
        border-width: 0.2em;
    }

    .earthcraft-footer-element { 
        height: 7vh;
        width: 7vh;
        border-width: 0.8vw;
    }

    .earthcraft-popup-constraint {
        max-width: 75vw;
    }

    .earthcraft-popup-modal-wrapper {
        max-width: 85vw;
    }

    .earthcraft-footer-wrapper {
        border-width: 1px;
    }

    .list-block-border {
        width: 23vmin;
        height: 23vmin;
    }

    .earthcraft-landing-info, .earthcraft-popup-modal {
        font-size: 5vmin;
    }

    .earthcraft-popup-title, .earthcraft-popup-modal-wrapper h1, .earthcraft-popup-modal-wrapper h2, .earthcraft-popup-modal-close-button {
        font-size: 5.8vmin;
    }

    .earthcraft-hero-popup, .earthcraft-popup-modal {
    }

    /*
    .earthcraft-popup-modal-close-button-wrapper, .earthcraft-popup-modal-close-button{
        border-top-left-radius: 10px;
        border-top-right-radius: 10px;
    }*/

    .earthcraft-popup-modal-close-button {
        font-size: 7vmin;
    }

    .earthcraft-popup-modal {
        max-height: 70vh;
    }

    .earthcraft-popup-wrapper, .earthcraft-popup-modal-wrapper {
    }

    body {
        background-image: none;
    }

    .list-block-border {
        border-width: 0.8vw;
    }

    .earthcraft-popup-modal-wrapper-container {
        max-width: 90vw;
        width: 90vw;
    }
}